[flake8]
docstring_style = numpy
exclude =
    tests/,
    */migrations/,
    .venv/,
    env/
ignore =
    D301, # Use r""" if any backslashes in a docstring
    E203, # whitespace before ':'
    # I001, # isort found an import in the wrong position
    # I005, # isort found an unexpected missing import
    S104, # Possible binding to all interfaces.
    WPS112,#  Found private name pattern
    WPS114, # Found underscored number name pattern
    WPS300, # Found local folder import
    WPS348, # Found a line that starts with a dot
    WPS410, # Found wrong metadata variable: __all__
    WPS412, # Found `__init__.py` module with logic
inline-quotes = double
max-arguments = 10
max-complexity = 10
max-line-length = 80
multi-line-output-modes = 3
nested-classes-whitelist = Config
per-file-ignores =
    # */settings.py:E501,
